#include "partition.h"
#include <vector>
#include <algorithm>

using namespace std;

vector<int> solve(vector<int> A)
{
    vector<int> solution;
    int n = A.size();
    for(int i=0;i<n/2;i++)
    {
        solution.push_back(i);
    }
    solution.push_back(n-1);
    for(int i=n/2;i<n-1;i++)
        solution.push_back(i);
    return solution;
}
